#ifndef CLISTWIDGET_H
#define CLISTWIDGET_H

#include <QListWidget>

class CListWidget : public QListWidget
{
    Q_OBJECT
public:
    CListWidget(QWidget* parent = nullptr);

protected:
    void mousePressEvent(QMouseEvent *event) override;

private:
    void initUI();


private:
    QStringList mIconNames;
};

#endif // CLISTWIDGET_H
